# Interface CaseAttachmentServiceGrpc.AsyncService (0.77.0)

0.77.0 (latest) 0.75.0 0.72.0 0.71.0 0.69.0 0.67.0 0.66.0 0.65.0 0.64.0 0.62.0 0.60.0 0.59.0 0.58.0 0.57.0 0.56.0 0.54.0 0.52.0 0.51.0 0.48.0 0.47.0 0.46.0 0.44.0 0.43.0 0.42.0 0.41.0 0.40.0 0.39.0 0.38.0 0.37.0 0.36.0 0.35.0 0.33.0 0.32.0 0.31.0 0.30.0 0.29.0 0.28.0 0.27.0 0.26.0 0.25.0 0.24.0 0.23.0 0.21.0 0.20.0 0.19.0 0.18.0 0.17.0 0.16.0 0.15.0 0.14.0 0.13.0 0.12.0 0.11.0 0.8.0 0.7.0 0.6.0 0.5.0 0.4.0 0.3.0 0.2.0 0.1.0

    public static interface CaseAttachmentServiceGrpc.AsyncService

A service to manage file attachments for Google Cloud support cases.

## Methods

### getAttachment(GetAttachmentRequest request, StreamObserver\<Attachment\> responseObserver)

    public default void getAttachment(GetAttachmentRequest request, StreamObserver<Attachment> responseObserver)

Retrieve an attachment associated with a support case.
EXAMPLES:
cURL:
`<code><code>shell
attachment="projects/some-project/cases/23598314/attachments/0684M00000P3h1fQAB"
curl &#92;
--header "Authorization: Bearer $(gcloud auth print-access-token)" &#92;
"https://cloudsupport.googleapis.com/v2/$attachment"
</code></code><code>
Python:
</code><code><code>python
import googleapiclient.discovery
api_version = "v2"
supportApiService = googleapiclient.discovery.build(
serviceName="cloudsupport",
version=api_version,
discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}",
)
request = (
supportApiService.cases()
.attachments()
.get(name="projects/some-project/cases/43595344/attachments/0684M00000P3h1fQAB")
)
print(request.execute())
</code></code>`

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `request` | `https://docs.cloud.google.com/java/docs/reference/google-cloud-cloudsupport/latest/com.google.cloud.support.v2.GetAttachmentRequest` |
| `responseObserver` | `io.grpc.stub.StreamObserver<https://docs.cloud.google.com/java/docs/reference/google-cloud-cloudsupport/latest/com.google.cloud.support.v2.Attachment>` |

### listAttachments(ListAttachmentsRequest request, StreamObserver\<ListAttachmentsResponse\> responseObserver)

    public default void listAttachments(ListAttachmentsRequest request, StreamObserver<ListAttachmentsResponse> responseObserver)

List all the attachments associated with a support case.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `request` | `https://docs.cloud.google.com/java/docs/reference/google-cloud-cloudsupport/latest/com.google.cloud.support.v2.ListAttachmentsRequest` |
| `responseObserver` | `io.grpc.stub.StreamObserver<https://docs.cloud.google.com/java/docs/reference/google-cloud-cloudsupport/latest/com.google.cloud.support.v2.ListAttachmentsResponse>` |